For Developers

List Onboardings

GET https://ed.link/api/v2/teams/:team_id/onboardings

Returns onboarding invitations created by the team, ordered by sequence descending. Each onboarding is a model-shaped MikroORM Onboarding entity. Supports cursor pagination via $count and $after.

Requires the onboardings.read system permission.

This query allows for standard paging parameters.

It is best practice to use either $first or $last in conjunction with the $next value returned by the API to paginate through results.

Sample Request

const response = await axios.get(`https://ed.link/api/v2/teams/${team_id}/onboardings`, {
    headers: {
        authorization: `Bearer ${user_session_token}`
    },
    params: { $count: 25 }
});

Sample Response

{
    "$data": [
        {
            "id": "c3600e5f-7da5-4820-9ca9-aa4a1e9793b3",
            "created_date": "2026-07-01T14:00:00.000Z",
            "updated_date": "2026-07-15T09:30:00.000Z",
            "state": "pending",
            "application_id": "035d6dd6-1569-47b2-8ed8-63435be58078",
            "team_id": "d1be0f47-7765-447a-95e3-1cfaedf57ce7",
            "automatic_approval": false
        }
    ]
}
  • POST /api/v2/teams/:team_id/onboardings — Create an onboarding invitation
  • PATCH /api/v2/teams/:team_id/onboardings/:onboarding_id — Update an onboarding
  • DELETE /api/v2/teams/:team_id/onboardings/:onboarding_id — Delete an onboarding

Public onboarding preview (no auth): GET /api/v2/onboardings/:onboarding_id